#!/usr/bin/env bash
set -e

source $(dirname $0)/env.sh

cd $LUNA_ROOT

tools/setup.sh

cd $BUILD_DIR
$BUILD clean
cd -

cmake -S . -B $BUILD_DIR -G "$CMAKE_GEN"
cmake --build $BUILD_DIR
cmake --install $BUILD_DIR

mkbootimg luna.json Luna.iso